=== debian/changelog ===
pvr-omap4 (1.9.0.5.1.1-0ubuntu4) quantal; urgency=low

  * debian/dkms/patches/0005-fixing-include-omapdrm-files.patch:
    - Fixing OMAP DRM include headers (still part of staging)

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Wed, 29 Aug 2012 00:00:27 -0700

pvr-omap4 (1.9.0.5.1.1-0ubuntu3) quantal; urgency=low

  * Rename build to build-arch and make build depend on build-arch.
  * debian/control:
    - Removing dos2unix dependency, as it's not needed anymore with this
      source tree
  * debian/dkms/patches/0004-dont-need-to-run-dos2unix.patch:
    - Removing call to dos2unix, not needed with this source tree

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Mon, 27 Aug 2012 15:50:40 -0300

pvr-omap4 (1.9.0.5.1.1-0ubuntu2) quantal; urgency=low

  * debian/rules: mkdir ld_so_conf_dir before trying to write to it

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 27 Aug 2012 10:03:50 -0600

pvr-omap4 (1.9.0.5.1.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Adding dependency on a fixed xorg ABI to avoid incompatibility issues in
    case the ABI is bumped on a newer xorg release (LP: #1035407)
  * Removing the auto bump ABI rule, as with a binary only driver there's not
    much we can do at the package side
  * Bump dh to compatibility level v9
  * Include Vcs-Browser/Git

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Thu, 23 Aug 2012 14:00:04 -0300

pvr-omap4 (1.7.10.0.1.21-0ubuntu1) precise; urgency=low

  * Initial release, based on package provided at TI's release PPA
    https://launchpad.net/~tiomap-dev/+archive/release
  * FFe and needs-packaging request at (LP: #959924)

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Mon, 26 Mar 2012 00:15:10 -0300
