=== debian/watch ===
version=3
http://ppa.launchpad.net/tiomap-dev/release/ubuntu/pool/main/p/pvr-omap4/pvr-omap4_(.+).orig.tar.gz
